Subject: [LON-CAPA-dev] lond stuff

From: Gerd Kortemeyer <[email-masked]>
Date: Tue, 05 Feb 2002 17:49:41 -0500

Hi,

I found one command in lond that can potentially generate more than one
"\n" in the printed reply to the client. That is pretty deadly.

For things that some of you might have created in lonc and lond, please
look over them to see if they produce one and only one "\n" at the end
of the line. Communication between lonc and lond needs to be of the form

command\n
reply\n
command\n
reply\n

- all one-liners with "\n" in the end. Use &escape and &unescape if you
need to encode other stuff in between. If that gets violated, commands
and replies go out of sync, and you get the right answer for the wrong
command, or whatever.

- Gerd.